Bug 278033 - cannot set jpeg compression ratio (or any other save options) when exporting image
Summary: cannot set jpeg compression ratio (or any other save options) when exporting ...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-DImg-JPEG (show other bugs)
Version: 2.0.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-18 17:19 UTC by Frederic Grelot
Modified: 2017-08-02 06:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frederic Grelot 2011-07-18 17:19:09 UTC
Version:           2.0.0 (using KDE 4.6.4) 
OS:                Linux

I'm not sure if this is a digikam or a KDE bug, sorry for the inconvenience.


Reproducible: Always

Steps to Reproduce:
-open a raw image (maybe not necessary, didn't check)
-do your stuff and settings, then click on "import"
-the only way to save is to use "export" (see #276061 ), so do it :-)
-if the selected file type is already jpeg, change it to anything else
-select the "jpeg" file type

Actual Results:  
below the file type selection field, it says "No options available"

Expected Results:  
one should be able to set the compression ratio (among other things eventually)

OS: Linux (x86_64) release 2.6.38.8-32.fc15.x86_64
Compiler: gcc

Workaround : select "jpeg", then click cancel (or Save, but that's unnecessary). Click "export" again : jpeg is preselected, and, tadaaa! the compression slider is there!

This does not only happen with jpeg, but also with jpeg 2000. I didn't check the other.
This may well be related to a bug I'm just going to open (I'll add a comment to this one as soon as it's done!), but I'm not sure, so I'll open the 2 of them.
Comment 1 Frederic Grelot 2011-07-18 17:29:29 UTC
Well, I don't think it is necessary to open 2 bugs : by filling the form, I realized that the 2nd one was really likely the source of this one, so here it is :

Steps to Reproduce :
-open a raw image (maybe not necessary, didn't check)
-do your stuff and settings, then click on "import"
-the only way to save is to use "export" (see #276061 ), so do it :-)
-if the selected file type is not "All files", set it to "All files"
-select the "jpeg" file type

Actual Results:
You should see that the file type gets correctly selected, the extension (in the filename field) is updated to "jpeg", but immediately after, the file type goes back to "All files" (and obviously, all files are shown). This may explain why there is "No options available" (it's logical when "All files" is selected)

Expected Results:
The file type should stay to "Jpeg", and the options should appear
Comment 2 Marcel Wiesweg 2011-07-31 14:00:54 UTC
Git commit 1dafe3996dafe37270657a53777d4c362263b262 by Marcel Wiesweg.
Committed on 31/07/2011 at 15:58.
Pushed by mwiesweg into branch 'master'.

Fix detection of chosen image format if the selected filter has more than one "*.xy" suffix
in the filesaveoptionsbox. In that case, we need to analyse the string and just
use the first suffix.

BUG: 278033

M  +2    -1    NEWS
M  +10   -1    libs/widgets/common/filesaveoptionsbox.cpp

http://commits.kde.org/digikam/1dafe3996dafe37270657a53777d4c362263b262